Loading...
Searching...
No Matches
ValueErrorException Class Reference

Class to allow us to throw a `ValueError` from C++ and have it make it back to Python. More...

`#include <Exceptions.h>`

Inheritance diagram for ValueErrorException:

## Public Member Functions

| ValueErrorException (std::string i)
| ValueErrorException (const char *msg)
const char * | what () const noexcept override
| ~ValueErrorException () noexcept override=default

## Detailed Description

Class to allow us to throw a `ValueError` from C++ and have it make it back to Python.

Definition at line 41 of file Exceptions.h.

## Constructor & Destructor Documentation

## ValueErrorException() [1/2]

ValueErrorException::ValueErrorException | ( | std::string | i | ) |

inline

Definition at line 43 of file Exceptions.h.

## ValueErrorException() [2/2]

ValueErrorException::ValueErrorException | ( | const char * | msg | ) |

inline

Definition at line 45 of file Exceptions.h.

## ~ValueErrorException()

ValueErrorException::~ValueErrorException | ( |  | ) |

override default noexcept

## Member Function Documentation

## what()

const char * ValueErrorException::what | ( |  | ) | const

inline override noexcept

Definition at line 47 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h